Subject: Re: bug#50630: 28.0.50; list-directory shows free space for current directory, not the specified one
From: Eli Zaretskii <[email-masked]>
To: John Cummings <[email-masked]>
Cc: [email-masked]
Date: Fri, 17 Sep 2021 10:07:59 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 16 Sep 2021 23:00:50 +0000
> From: John Cummings <[email-masked]>
> 
> Hello, long time emacs user; first time reporter. Apologies if I do anything wrong here.

Thanks.  In the future, please make sure Git uses your actual email
address, as without that we need to apply the patch by hand.  Also, we
request a commit log message formatted according to ChangeLog rules;
see CONTRIBUTE for the details.  (I made the necessary changes for you
this time.)

Also, if you intend to contribute in the future, I recommend starting
your legal paperwork rolling for assigning copyright to the FSF.  If
you agree, I will send you the form to fill and the instructions to go
with it.

> Changing the call to get-free-disk-space seemed to work in the attached patch, but I haven't attempted to dig deeper and check for any regressions. I would be glad to do that, but would need more time to research and would probably ask for more help to do it.

The patch makes sense to me, so I installed it, and I'm closing this
bug.

Thanks.